<div class="row">

  <button class="btn btn-info pull-left" (click)="onBack()">Retour</button>

  <div class="col-xs-7">

    <div class="col-xs-3">
        <h2 [ngClass]="{'text-danger': book.title == null}">Titre :</h2>
        <h3 [ngClass]="{'text-danger': book.author == null}">Auteur :</h3>
        <p [ngClass]="{'text-danger': book.synopsis == null || book.synopsis == '' }">Synopsis :</p>
    </div>

    <div class="col-xs-9">
      <div *ngIf="!modifyMode">
        <h2>{{ book.title }}</h2>
        <h3>{{ book.author }}</h3>
        <p class="text-justify">{{ book.synopsis }}</p>
      </div>

      <div *ngIf="modifyMode">
        <br>
        <form [formGroup]="updateBookForm" (ngSubmit)="onUpdateBook()">

          <div class="form-group">
            <input type="text" id="title" class="form-control" formControlName="title"
                   [(ngModel)]="book.title">
          </div>

          <div class="form-group">
            <input type="text" id="author" class="form-control" formControlName="author"
                   [(ngModel)]="book.author">
          </div>

          <div class="form-group">
            <textarea id="synopsis" class="form-control" formControlName="synopsis" rows="8"
                      [(ngModel)]="book.synopsis"></textarea>
          </div>

          <div class="form-group">
            <input type="file" class="form-control" accept="image/*"
                   (change)="detectFiles($event)">
            <br>
            <p class="text-success" *ngIf="fileIsUploaded">Image chargée.</p>
          </div>

          <button type="submit"
                  class="btn btn-success center-block"
                  [disabled]="updateBookForm.invalid">Enregistrer</button>

        </form>
      </div>
    </div>
  </div>

  <div class="col-xs-4">
    <br><br>
    <img class="center-block" style="max-width: 300px" *ngIf="book.photo" [src]="book.photo" [alt]="book.title"><br><br>
  </div>

  <button class="btn btn-warning center-block" (click)="onModify()" *ngIf="!modifyMode">
    <span class="glyphicon glyphicon-pencil"></span>
  </button>

</div>
